%------------------------------------------------------------------------------
% File     : CSR082+1 : TPTP v4.1.0. Bugfixed v4.1.0.
% Domain   : Commonsense Reasoning
% Problem  : Jane does reasoning and perception
% Version  : Especial > Augmented > Especial.
% English  :

% Refs     : [NP01]  Niles & Pease (2001), Towards A Standard Upper Ontology
%          : [Sie07] Siegel (2007), Email to G. Sutcliffe
% Source   : [Sie07]
% Names    : TQG8

% Status   : Theorem
% Rating   : 0.88 v4.1.0
% Syntax   : Number of formulae    : 13124 (11451 unit)
%            Number of atoms       : 20403 ( 645 equality)
%            Maximal formula depth :   26 (   2 average)
%            Number of connectives : 7737 ( 458   ~;  65   |;3623   &)
%                                         (  99 <=>;3492  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :  280 (   0 propositional; 1-8 arity)
%            Number of functors    : 3073 (2981 constant; 0-8 arity)
%            Number of variables   : 5108 (   1 sgn;4647   !; 461   ?)
%            Maximal term depth    :    5 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : This version includes the cache axioms.
% Bugfixes : v4.0.0 - Bugfixes in CSR003 axiom files.
%          : v4.0.1 - Bugfixes in CSR003 axiom files.
%          : v4.1.0 - Bugfixes in CSR003 axiom files.
%------------------------------------------------------------------------------
%----Include axioms from SUMO
include('Axioms/CSR003+0.ax').
%----Include cache axioms for SUMO
include('Axioms/CSR003+3.ax').
%------------------------------------------------------------------------------
fof(local_1,axiom,(
    s__instance(s__Jane8_1,s__Human) )).

fof(prove_from_SUMO,question,(
    ? [V_ROLE1,V_ROLE2] :
      ( s__capability(s__Reasoning,V_ROLE1,s__Jane8_1)
      & s__capability(s__Perception,V_ROLE2,s__Jane8_1) ) )).

%------------------------------------------------------------------------------
